Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040559
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2019-04-09 20:292019-05-21 15:17
ReportershuehnerView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision2eab22ee5862
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040559: SL_TaxCategory_Org.execute is not using bind-parameters

DescriptionThis method is not using bind-parameters in lines 49 + 58

      whereClause = "as tn where tn.node = '" + organization.getId() + "' and tn.client.id = '"
          + organization.getClient().getId() + "'";

        OBQuery<TreeNode> query = OBDal.getInstance().createQuery(TreeNode.class, whereClause);
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00407723.0PR19Q2 closednonofrancisco SL_TaxCategory_Org.execute is not using bind-parameters 
depends on backport 00407733.0PR19Q1.2 closednonofrancisco SL_TaxCategory_Org.execute is not using bind-parameters 
depends on backport 00407743.0PR18Q4.4 closednonofrancisco SL_TaxCategory_Org.execute is not using bind-parameters 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111483)
nonofrancisco (developer)
2019-05-04 16:55
edited on: 2019-05-04 17:27

Test Plan

Logged as F&B International Group Admin
Open Tax Category window
Create a new record
  Organization: *
  Default: true
Open Product window
Create a new record
Select organization F&B International Group
Verify Tax category selected is the previously created

(0111566)
hgbot (developer)
2019-05-08 12:25

Repository: erp/devel/pi
Changeset: 2eab22ee5862c243704b87445079ea184bd43341
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Apr 22 15:04:05 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/2eab22ee5862c243704b87445079ea184bd43341 [^]

Fixes issue 40559: Uses bind parameters in query

Instead of using string concatenation in client and organization filters in
where clause, bind parameters are used

---
M src/org/openbravo/erpCommon/ad_callouts/SL_TaxCategory_Org.java
---
(0111573)
Sandrahuguet (developer)
2019-05-08 12:47

code review + testing ok
(0112019)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-09 20:29 shuehner New Issue
2019-04-09 20:29 shuehner Assigned To => Triage Finance
2019-04-09 20:29 shuehner Modules => Core
2019-04-09 20:29 shuehner Triggers an Emergency Pack => No
2019-04-09 20:30 shuehner Relationship added blocks 0038136
2019-04-23 22:11 nonofrancisco Status new => scheduled
2019-05-03 11:53 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-04 16:54 nonofrancisco Status scheduled => acknowledged
2019-05-04 16:55 nonofrancisco Status acknowledged => scheduled
2019-05-04 16:55 nonofrancisco Note Added: 0111483
2019-05-04 17:27 nonofrancisco Note Edited: 0111483 View Revisions
2019-05-08 12:25 hgbot Checkin
2019-05-08 12:25 hgbot Note Added: 0111566
2019-05-08 12:25 hgbot Status scheduled => resolved
2019-05-08 12:25 hgbot Resolution open => fixed
2019-05-08 12:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2eab22ee5862c243704b87445079ea184bd43341 [^]
2019-05-08 12:47 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-08 12:47 Sandrahuguet Note Added: 0111573
2019-05-08 12:47 Sandrahuguet Status resolved => closed
2019-05-08 12:47 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112019


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker